## italc 1.0.13

=== debian/changelog ===
italc (1:1.0.13-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * fixed FTBFS (Closes: #671489).
    + added new "qtpath.patch" to avoid fatal error for wrong path
      to libraries.
    + introduced dh-autoreconf to regenerate "configure" script using
      corrected "acinclude.m4" file.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 08 Nov 2012 15:08:19 +1100

italc (1:1.0.13-1.3) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667203.

 -- Matthias Klose <doko@debian.org>  Fri, 04 May 2012 08:37:15 +0200

italc (1:1.0.13-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on libjpeg-dev, not libjpeg62-dev (closes: #642838)

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Jan 2012 18:08:29 +0100

italc (1:1.0.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Felix Geyer to fix FTBFS when compiled with
    -Werror=format-security (Closes: #643411)
  * Set urgency to medium due to rc bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sun, 04 Dec 2011 12:08:19 +0100

italc (1:1.0.13-1) unstable; urgency=low

  * Added a watch file for italc
  * Imported Upstream version 1.0.13 (Closes: #597759)
  * Acknowlege NMU of David Paleino, thanks. (Closes: #504970)
  * Link to GPL-2 as italc is using this version, according to COPYING
  * Removed dh_desktop call as it is deprecated
  * Add some more overrides
  * Bump standards version to 3.9.1 - no further changes needed
  * Switch to 3.0 (quilt) packaging
  * Add some more info to the short description

 -- Patrick Winnertz <winnie@debian.org>  Fri, 11 Feb 2011 14:50:22 +0100

italc (1:1.0.9-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed FTBFS with GCC 4.4, missing #include. Thanks to
    Martin Michlmayr (Closes: #504970)
  * italc-client.lintian-overrides and italc-master.lintian-overrides
    added

 -- David Paleino <dapal@debian.org>  Mon, 21 Dec 2009 15:02:56 +0100

italc (1:1.0.9-1) unstable; urgency=low

  * New upstream release (Closes: #508049)

 -- Patrick Winnertz <winnie@debian.org>  Tue, 17 Mar 2009 11:40:06 +0100

italc (1:1.0.9~rc3-1) unstable; urgency=low

  * Package new upstream version
    - upstream ported the code to qt4.4 (Closes: #481974)

 -- Patrick Winnertz <winnie@debian.org>  Tue, 17 Jun 2008 13:46:54 +0200

italc (1:1.0.8-1) unstable; urgency=low

  * Fix FTBFS by switching from openssl to libssl-dev build-dep. 
    Thanks to Laurent Bigonville <bigon@bigon.be> (Closes: #477022)
  * Packaging new upstream version.
  * 

 -- Patrick Winnertz <winnie@debian.org>  Tue, 13 May 2008 10:54:16 +0200

italc (1:1.0.7-2) unstable; urgency=low

  * Fix FTBFS on amd64 (Closes: #472439)
    + Add patch from upstream

 -- Patrick Winnertz <winnie@debian.org>  Thu, 27 Mar 2008 16:10:54 +0100

italc (1:1.0.7-1) unstable; urgency=low

  * New upstrem release. 

 -- Patrick Winnertz <winnie@debian.org>  Mon, 17 Mar 2008 10:13:42 +0100

italc (1:1.0.6-1) unstable; urgency=low

  * Move Homepage Header from Package Section into global Section.
  * Add the forgotten libitalc.install in order to install the lib correctly.
    Patch ica/Makefile.am and ima/Makefile.am in order to show
    the new place of the lib (Closes: #460889)

 -- Patrick Winnertz <winnie@debian.org>  Tue, 12 Feb 2008 14:47:20 +0100

italc (1:1.0.4-1) unstable; urgency=low

  * New upstream version
  * Add options for dh_shlibdeps to debian/rules to prevent a ftbfs
  * Added new package libitalc to control since now both
    applications needs this lib.
  * Changed my maintainer address.
  * Add compiler flags to rules
  * Modified menu file to fit into the new layout
  * Add Homepage: tag and remove Homepage from description
  * use new standard-version (3.7.3)

 -- Patrick Winnertz <winnie@debian.org>  Wed, 05 Dec 2007 16:28:26 +0100

italc (1:1.0.2-2) unstable; urgency=low

  * Upload of the package to unstable

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Wed, 16 May 2007 13:45:10 +0200

italc (1:1.0.2-1) experimental; urgency=low

  * Packaging new upstream release
  * FTBFS Bug on kfreeBSD send to upstream and this is fixed in 
    this version now. (Closes: #414096)

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Tue, 10 Apr 2007 15:29:41 +0200

italc (1:1.0.0-1) experimental; urgency=low

  * Packaging new upstream version.
    Must use epoch since 1.0.0 seems to be lesser than 1.0.0.0~rc2
  * Added build dependency libxtst-dev
  * Modified rules:
    - Removed build of icon, since this is now upstream
    - Added --with-linux to enable build on kfreeBSD. Thanks to Cyril
    Brulebois. (Closes: #414096)

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Sat, 24 Mar 2007 15:44:11 +0100

italc (1.0.0.0~rc2-1) experimental; urgency=low

  * Packaging new upstream release
  * Adopting this package from Steffen Joeris with his acceptance
  * Increasing the debhelper level to 5
  * Adding the build-depends: 
     - libqt4-dev 
     - zlib1g-dev
     - libjpeg62-dev 
     - openssl
  * italc-master now has a dependency against italc-client, since
    the client server (ica ) also have to run on the master.
  * Updated Copyright file, since some files were removed
  * Removed build depends libxaw7-dev, libqt3-mt-dev, libssl-dev, libxtst-dev
    since they are obsolete
  * Removed patches since upstream adopted them
  * Added README.Debian to make key creation easier for local administrators

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Wed, 27 Dec 2006 20:16:04 +0100

italc (0.9.6.2-3) unstable; urgency=low

  * Change build-depends against libxaw8-dev to libxaw7-dev
    (Closes: #370197)
  * Expand 20-configure.patch to adjust to newer X libraries
    Thanks to Peter Eisentraut
  * Bump standard version to 3.7.2
  * Provide the italc-keygen program which is needed for
    the key generation to enable the connection
    Thanks to Patrick Winnertz for some further skolelinux packaging

