=== debian/control ===
Source: italc
Section: x11
Priority: optional
Maintainer: Patrick Winnertz <winnie@debian.org>
Build-Depends: cdbs, debhelper (>= 5.0), dh-autoreconf, libqt4-dev, zlib1g-dev, libjpeg-dev, libssl-dev, imagemagick, libxtst-dev
Standards-Version: 3.9.1
Homepage: http://italc.sourceforge.net/home.php

Package: italc-master
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python, italc-client, libitalc (=${binary:Version})
Description: Intelligent Teaching and Learning with Computers - Master
 iTALC makes it possible, to access and influence the pupils 
 activities just from the computer of the teacher. With the 
 help of iTALC, for example the teacher is able to see the 
 content of the pupils screens on his screen. If a pupil needs 
 help, the teacher can access the pupils desktop and give support 
 from his computer. The pupil can watch all activities, the 
 teacher is doing on his desktop. So the pupil can learn new processes. 
 For teaching something to all pupils, you can switch into demo-mode 
 where all screens of the pupils show the teacher-screen. 
 Furthermore things like locking pupil's screens, killing games, 
 power on/off clients and much more can be done with iTALC. 
 .
 This package contains the software necessary to observe and control iTALC
 clients provided by the italc-client package.

Package: italc-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libitalc (=${binary:Version})
Description: Intelligent Teaching and Learning with Computers - Client
 iTALC makes it possible, to access and influence the pupils 
 activities just from the computer of the teacher. With the 
 help of iTALC, for example the teacher is able to see the 
 content of the pupils screens on his screen. If a pupil needs 
 help, the teacher can access the pupils desktop and give support 
 from his computer. The pupil can watch all activities, the 
 teacher is doing on his desktop. So the pupil can learn new processes. 
 For teaching something to all pupils, you can switch into demo-mode 
 where all screens of the pupils show the teacher-screen. 
 Furthermore things like locking pupil's screens, killing games, 
 power on/off clients and much more can be done with iTALC. 
 .
 This package contains the client software for iTALC that can be controlled
 using italc-master.

Package: libitalc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intelligent Teaching and Learning with Computers - common libraries
 iTALC makes it possible, to access and influence the pupils
 activities just from the computer of the teacher. With the
 help of iTALC, for example the teacher is able to see the
 content of the pupils screens on his screen. If a pupil needs
 help, the teacher can access the pupils desktop and give support
 from his computer. The pupil can watch all activities, the
 teacher is doing on his desktop. So the pupil can learn new processes.
 For teaching something to all pupils, you can switch into demo-mode
 where all screens of the pupils show the teacher-screen.
 Furthermore things like locking pupil's screens, killing games,
 power on/off clients and much more can be done with iTALC.
 .
 This package provides the necessary library for italc
