=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_DH_INSTALL_SOURCEDIR = debian/tmp
CPPFLAGS += -I/usr/X11R6/include
CFLAGS += -fPIC
CXXFLAGS += -fPIC
DEB_CONFIGURE_EXTRA_FLAGS = --with-linux LDFLAGS=-L/usr/X11R6/lib
DEB_DH_MAKESHLIBS_ARGS += -V
DEB_DH_SHLIBDEPS_ARGS_libitalc = -L libitalc -l debian/libitalc/usr/lib/

debian/italc.xpm: ima/data/italc.png
	convert -resize 32 $< $@

common-install-arch:: debian/italc.xpm
	install -D -m 644 debian/italc.xpm debian/italc-master/usr/share/pixmaps/italc.xpm

clean::
	rm -f debian/italc.xpm
	rm -f lupus/config.log
	rm -f lupus/config.status
	rm -f config.log
	rm -f config.status
