## italc 2.0.1

=== debian/changelog ===
italc (1:2.0.1-4ubuntu0.14.04.1) trusty; urgency=medium

  * debian/patches/git_allocate-rfbProtocolExtension-statically.patch: 
    Import upstream patch to fix ica crashing when a client connects.
    (LP: #1297345)

 -- Ryan Tandy <rtandy@sd63.bc.ca>  Wed, 25 Feb 2015 12:22:56 -0800

italc (1:2.0.1-4) unstable; urgency=low

  * Debconf translation files updated/added:
    + Spanish translation added (thanks to Camaleón). (Closes: #728116).
  * debian/control:
    + Add libpng-dev as build dependency. (Closes: #729675).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 17 Nov 2013 09:19:39 +0100

italc (1:2.0.1-3) unstable; urgency=low

  * /debian/control:
    + Alioth-canonicalize Vcs-Git: field.
    + Vcs location has moved into debian-edu/pkg-team/ subfolder.
  * /debian/desktop/*.desktop:
    + Add Keywords: field.
  * Debconf translations:
    + Update typo in Japanese translation (thanks to
      »victory«). (Closes: #725724).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Oct 2013 00:45:33 +0200

italc (1:2.0.1-2) unstable; urgency=low

  * Review of translatable text elements by the Enlish i18n team. (Closes:
    #719778).
  * /debian/copyright:
    + Add block for Files: /debian/*.
  * Debconf translation files updated/added:
    + Russian translation (thanks to Yuri Kozlov). (Closes: #721993).
    + Danish translation (thanks to Joe Dalton). (Closes: #722131).
    + Czech translation (thanks to Michal Šimůnek). (Closes: #722141).
    + Japanese translation (thanks to »victory«). (Closes: #723754).
    + Italian translation (thanks to Beatrice Torracca). (Closes: #723863).
    + Portuguese translation (thanks to Miguel Figueiredo). (Closes: #724018).
    + French translation (thanks to Steve Petruzzello). (Closes: #724485).
    + German translation (thanks to Helge Kreutzmann for reviewing my own
      translation effort). (Closes: #724025).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Sep 2013 21:27:50 +0200

italc (1:2.0.1-1) unstable; urgency=low

  * New upstream version.
  * /debian/italc-client.lintian-overrides:
    + Silence lintian about a false-positive spelling error report.
  * /debian/copyright:
    + Update and review and explicitly add OpenSSL exception.
  * Update patches, drop patch 011_qt-signals.patch (applied by upstream).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Aug 2013 15:52:25 +0200

italc (1:2.0.0-4) unstable; urgency=low

  * /debian/control:
    + Fix lintian: <bin:package>: data.tar.xz-member-without-dpkg-pre-depends.
  * /debian/italc-client.{config,templates}:
    + Make italc preseedable/configurable via debconf.
  * /debian/rules:
    + Now really fix the .ts file update and trigger the .qm build after
      configure of libitalccore.
    + Make sure .qm files shipped by upstream get moved out of the way before
      build and get restored properly during clean up.
    + Auto-configure iTALC.conf through debconf.
  * Update documentation file: README.setup.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Aug 2013 12:07:52 +0200

italc (1:2.0.0-3) unstable; urgency=low

  * /debian/control:
    + italc-client: Add adduser to Depends: field. (Closes: #707836).
  * /debian/rules:
    + Re-build .ts and .qm files during build time to incorporate
      latest translation fixes.
  * Lintian issues:
    + Fix duplicate-in-relation-field in source build-depends: libxrandr-dev,
      libxrandr-dev.
    + Fix unneeded-build-dep-on-quilt.
    + Fix spelling-error-in-binary usr/bin/italc neccessary necessary.
    + Fix spelling-error-in-binary usr/lib/italc/libItalcCore.so neccessary
      necessary.
    + Fix spelling-error-in-manpage usr/share/man/man1/ica.1.gz neccessary
      necessary.
    + Fix hyphen-used-as-minus-sign usr/share/man/man1/ica.1.gz.
    + Fix hyphen-used-as-minus-sign usr/share/man/man1/imc.1.gz.
  * Update patches.
  * Provide file italc-client.desktop. (Closes: #666428).
  * Provide file italc-master.desktop. (Closes: #666429).
  * Add patch: 006_inject-buildtype-from-outside.patch. Inject the build
    type (actually the BUILD_CPU) from /debian/rules. Avoid the detection
    code from upstream as it only covers x86 and x86_64. (Closes: #718745).
  * Provide documentation: README.setup. (Closes: #511387).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Aug 2013 03:11:55 +0200

italc (1:2.0.0-2) unstable; urgency=low

  * /debian/control:
    + Drop B-D: linux-libc-dev
    + Limit B-D: libv4l-dev to [linux-any].
    + Update long-descs: replace phrase »pupil« by »student«.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 11 May 2013 00:06:51 +0200

italc (1:2.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #640200, #672636).
  * Package becomes team-maintained (debian-edu-pkg-team@l.alioth.d.o).
  * Raise compat level to 7.
  * Use multi-line fields in /debian/control.
  * Add build-dependencies: libpam0g-dev, linux-libc-dev, and cmake.
    Also add-in build-dependencies found in x11vnc Debian package. Add
    build-dependency: libv4l-dev.
  * Add Vcs-* lines to /debian/control.
  * Make /debian/copyright DEP-5 compliant.
  * Drop outdated README.Debian, include upstream documentation files in
    package.
  * Drop lintian overrides from former package versions.
  * New binary package: italc-management-console.
  * Add quilt (>= 0.46-7~) as build dependency. Include CDBS rule
    patchsys-quilt.
  * Add patch: 001_set-static-libdir-and-rpath-for-cmake.patch, adapt to
    new iTALC library name: libItalcCore.so, rename binary package libitalc to
    libitalccore. As libItalcCore.so is private/unversioned, we use RPATH to
    build/find <LIB_DIR>/italc/libItalcCore.so.
  * Add patch: 002_use-v4l-videodev2.patch, support building with v4l2 support
    if present.
  * Add patch: 003_rename-plugin-dir.patch, change name of iTalc plugin
    directory.
  * Add patch: 004_x2go-nx-noxdamage.patch, handle iTALC in X2Go sessions in
    the same way as in NX sessions.
  * Grab man page from upstream Git: imc.8.

