=== debian/watch ===
version=3
http://sf.net/italc/italc-([\d\.]*).tar.bz2
